Index: TXM/trunk/bundles/org.txm.queryindex.rcp/src/org/txm/queryindex/rcp/editors/QueryIndexEditor.java
===================================================================
--- TXM/trunk/bundles/org.txm.queryindex.rcp/src/org/txm/queryindex/rcp/editors/QueryIndexEditor.java	(revision 3876)
+++ TXM/trunk/bundles/org.txm.queryindex.rcp/src/org/txm/queryindex/rcp/editors/QueryIndexEditor.java	(revision 3877)
@@ -269,7 +269,7 @@
 	
 	@Override
 	public void updateResultFromEditor() {
-		System.out.println("QueryIndexEditor.updateResultFromEditor(): not implemented.");
+		System.out.println("QueryIndexEditor.updateResultFromEditor(): not implemented."); //$NON-NLS-1$
 	}
 	
 	/**
@@ -277,7 +277,7 @@
 	 */
 	@Override
 	public void updateEditorFromResult(boolean update) {
-		System.out.println("QueryIndexEditor.updateEditorFromResult(): not implemented.");
+		System.out.println("QueryIndexEditor.updateEditorFromResult(): not implemented."); //$NON-NLS-1$
 		if (1 == 1) return;
 		
 		// createQueryIndex();
@@ -474,7 +474,7 @@
 					propFile = new File(LastOpened.getFolder(ID));
 				
 				FileDialog dialog = new FileDialog(getShell(), SWT.OPEN);
-				String[] exts = { "*.properties" }; // $NON-NLS
+				String[] exts = { "*.properties" }; // $NON-NLS //$NON-NLS-1$
 				dialog.setFilterExtensions(exts);
 				if (propFile != null) {
 					dialog.setFilterPath(propFile.getParent());
@@ -764,9 +764,9 @@
 		freqColumn = new TableColumn(viewer.getTable(), SWT.RIGHT);
 		try {
 			if (partition != null)
-				freqColumn.setText(TXMCoreMessages.common_frequency + " T=" + partition.getTotalSize());
+				freqColumn.setText(TXMCoreMessages.common_frequency + " T=" + partition.getTotalSize()); //$NON-NLS-1$
 			else
-				freqColumn.setText(TXMCoreMessages.common_frequency + " T=" + corpus.getSize());
+				freqColumn.setText(TXMCoreMessages.common_frequency + " T=" + corpus.getSize()); //$NON-NLS-1$
 		}
 		catch (CqiClientException e2) {
 			Log.printStackTrace(e2);
@@ -810,7 +810,7 @@
 				final TableColumn partColumn = new TableColumn(
 						viewer.getTable(), SWT.RIGHT);
 				try {
-				partColumn.setText(partnames.get(i) + " t=" + partition.getParts().get(i).getSize());
+				partColumn.setText(partnames.get(i) + " t=" + partition.getParts().get(i).getSize()); //$NON-NLS-1$
 				}
 				catch (CqiClientException e1) {
 				Log.printStackTrace(e1);
Index: TXM/trunk/bundles/org.txm.queryindex.rcp/src/org/txm/queryindex/core/functions/QueryIndex.java
===================================================================
--- TXM/trunk/bundles/org.txm.queryindex.rcp/src/org/txm/queryindex/core/functions/QueryIndex.java	(revision 3876)
+++ TXM/trunk/bundles/org.txm.queryindex.rcp/src/org/txm/queryindex/core/functions/QueryIndex.java	(revision 3877)
@@ -437,12 +437,12 @@
 	
 	@Override
 	public String getSimpleName() {
-		return "";
+		return ""; //$NON-NLS-1$
 	}
 	
 	@Override
 	public String getDetails() {
-		return "";
+		return ""; //$NON-NLS-1$
 	}
 	
 	@Override
@@ -453,27 +453,27 @@
 	@Override
 	public boolean _compute(TXMProgressMonitor monitor) throws Exception {
 		// FIXME: not yet implemented
-		System.err.println("QueryIndex.compute(): not yet implemented.");
+		System.err.println("QueryIndex.compute(): not yet implemented."); //$NON-NLS-1$
 		return false;
 	}
 	
 	@Override
 	public boolean saveParameters() throws Exception {
 		// FIXME: not yet implemented
-		System.err.println("QueryIndex.saveParameters(): not yet implemented.");
+		System.err.println("QueryIndex.saveParameters(): not yet implemented."); //$NON-NLS-1$
 		return false;
 	}
 	
 	@Override
 	public boolean loadParameters() throws Exception {
 		// FIXME: not yet implemented
-		System.err.println("QueryIndex.loadParameters(): not yet implemented.");
+		System.err.println("QueryIndex.loadParameters(): not yet implemented."); //$NON-NLS-1$
 		return false;
 	}
 	
 	@Override
 	public String getResultType() {
-		return "Query index";
+		return "Query index"; //$NON-NLS-1$
 	}
 	
 }
Index: TXM/trunk/bundles/org.txm.queryindex.rcp/src/queryindexrcp/actions/SampleAction.java
===================================================================
--- TXM/trunk/bundles/org.txm.queryindex.rcp/src/queryindexrcp/actions/SampleAction.java	(revision 3876)
+++ TXM/trunk/bundles/org.txm.queryindex.rcp/src/queryindexrcp/actions/SampleAction.java	(revision 3877)
@@ -31,8 +31,8 @@
 	public void run(IAction action) {
 		MessageDialog.openInformation(
 			window.getShell(),
-			"QueryIndexRCP",
-			"Hello, Eclipse world");
+			"QueryIndexRCP", //$NON-NLS-1$
+			"Hello, Eclipse world"); //$NON-NLS-1$
 	}
 
 	/**
